#!/usr/bin/env python3

import log
import os, cairo

background = []
last_background = 0

def init(root_path):
   global background, last_background
   i = 0
   for dirname, dirnames, filenames in os.walk(root_path + "/background"):
      for filename in filenames:
         image, extension = os.path.splitext(os.path.join(dirname, filename))
         if extension.upper() == '.PNG' :
            background.append(cairo.ImageSurface.create_from_png(os.path.join(dirname, filename)))
            i = i + 1
   log.cat(str(i) + " photos",end="")
   last_background = -1

def draw(ctx, x, y):
   global background, last_background
   last_background = last_background + 1
   if last_background >= len(background):
      last_background = 0
   ctx.set_source_surface(background[last_background], x, y);
   ctx.paint();

def refresh(cron):
   return
